Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.SendingContext
Class _CodeBaseStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.SendingContext._CodeBaseStub

All Implemented Interfaces:
  CodeBase, CodeBaseOperations, IDLEntity, Object, RunTime, RunTimeOperations, java.io.Serializable

public class _CodeBaseStub
extends ObjectImpl
implements CodeBase

See Also:
  Serialized Form

Constructor Summary
`_CodeBaseStub()`

Method Summary
`java.lang.String[]` | `_ids()`
`java.lang.String[]` | `bases(java.lang.String x)` Operation bases
`Repository` | `get_ir()` Operation get_ir
`java.lang.String` | `implementation(java.lang.String x)` Operation implementation
`java.lang.String[]` | `implementations(java.lang.String[] x)` Operation implementations
`java.lang.String` | `implementationx(java.lang.String x)` Operation implementationx
`FullValueDescription` | `meta(java.lang.String x)` Operation meta
`FullValueDescription[]` | `metas(java.lang.String[] x)` Operation metas

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _CodeBaseStub

    public _CodeBaseStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### get_ir

    public Repository get_ir()

  Operation get_ir
  Specified by:
    `get_ir` in interface `CodeBaseOperations`

### implementation

    public java.lang.String implementation(java.lang.String x)

  Operation implementation
  Specified by:
    `implementation` in interface `CodeBaseOperations`

### implementationx

    public java.lang.String implementationx(java.lang.String x)

  Operation implementationx
  Specified by:
    `implementationx` in interface `CodeBaseOperations`

### implementations

    public java.lang.String[] implementations(java.lang.String[] x)

  Operation implementations
  Specified by:
    `implementations` in interface `CodeBaseOperations`

### meta

    public FullValueDescription meta(java.lang.String x)

  Operation meta
  Specified by:
    `meta` in interface `CodeBaseOperations`

### metas

    public FullValueDescription[] metas(java.lang.String[] x)

  Operation metas
  Specified by:
    `metas` in interface `CodeBaseOperations`

### bases

    public java.lang.String[] bases(java.lang.String x)

  Operation bases
  Specified by:
    `bases` in interface `CodeBaseOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD